class HelperAction {
  final String kind;
  final String filePath;
  final String? className;
  final String methodName;
  final String method;

  HelperAction({
    required this.kind,
    required this.filePath,
    this.className,
    required this.methodName,
    required this.method,
  });

  factory HelperAction.fromJson(Map<String, dynamic> json) {
    return HelperAction(
      kind: json['kind'],
      filePath: json['file_path'],
      className: json['class'],
      methodName: json['method_name'],
      method: json['method'],
    );
  }
}
