//TODO: Precisely map Helper Methods to steps
class IntegrationUpdateRequestData {
  final String moduleName;
  final String precondition;
  final String testFlow;
  final String projectId;
  final List<Map<String, String>> testObjects;
  final List<Map<String, String>> helperMethods;
  final List<Map<String, String>> helperFiles;

  IntegrationUpdateRequestData(
      {required this.moduleName,
      required this.precondition,
      required this.testFlow,
      required this.testObjects,
      required this.projectId,
      required this.helperMethods,
      required this.helperFiles});

  Map<String, dynamic> toJson() {
    return {
      'module_name': moduleName,
      'precondition': precondition,
      'test_flow': testFlow,
      'code_objects': testObjects,
      'project_id': projectId,
      'helper_methods': helperMethods,
      'helper_files': helperFiles
    };
  }
}
