enum FlagType { className, methodName }

class FlagGenerationRunInfo {
  var functionQueue = <String>[];
  var classQueue = <String>[];

  void pushRequestInQueue(FlagType flagType, List<String> objectName) {
    switch (flagType) {
      case FlagType.className:
        classQueue.addAll(objectName);
        break;
      case FlagType.methodName:
        functionQueue.addAll(objectName);
        break;
    }
  }

  void popFromQueue(FlagType flagType, String objectName) {
    switch (flagType) {
      case FlagType.className:
        classQueue.remove(objectName);
        break;
      case FlagType.methodName:
        functionQueue.remove(objectName);
        break;
    }
  }
}
